rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
sum32Param Struct Reference

`#include <rpmio/crc.h>`

## Data Fields

rpmuint32_t | crc
rpmuint32_t(* | update )(rpmuint32_t crc, const rpmuint8_t *data, size_t size)
rpmuint32_t(* | combine )(rpmuint32_t crc1, rpmuint32_t crc2, size_t len2)

## Detailed Description

Definition at line 13 of file crc.h.

## Field Documentation

rpmuint32_t(* sum32Param::combine)(rpmuint32_t crc1, rpmuint32_t crc2, size_t len2)

Definition at line 16 of file crc.h.

Referenced by rpmDigestInit().

rpmuint32_t sum32Param::crc

Definition at line 14 of file crc.h.

Referenced by sum32Digest(), sum32Reset(), and sum32Update().

rpmuint32_t(* sum32Param::update)(rpmuint32_t crc, const rpmuint8_t *data, size_t size)

Definition at line 15 of file crc.h.

Referenced by rpmDigestInit(), sum32Reset(), and sum32Update().

The documentation for this struct was generated from the following file:

- rpmio/crc.h